提供zblog模板_zblog主题_wordpress模板的下载和定制
当前位置:网站首页 > 教程 > zblogphp教程 > 正文

拒绝IE 从我做起 zblogphp拒绝ie9以下浏览器访问的代码

天兴工作室 2015-04-02 zblogphp教程 6911 8 评论


最近在折腾天兴工作室的新版在,自适应碰上IE浏览器简直就是惨不忍睹。实在是受不了直接拒绝IE9以下浏览器访问我的网站了,顿时整个世界都清静了。

还好查看了网站统计,网站访客用ie6的几乎没有......

把这个东东的代码整理了下,贴出来,有同样需求的童鞋可以直接拿走,不谢。

{php}
$uarowser=$_SERVER['HTTP_USER_AGENT'];
 
if(strstr($uarowser, 'MSIE 6') || strstr($uarowser, 'MSIE 7') || strstr($uarowser, 'MSIE 8')){
echo '
<div id="ie6-alertBox">
<div id="ie6-infoBar"><h1>对不起,本站不支持低版本ie浏览器!</h1><p>站长表示实在是兼容不了低版本的IE浏览器,请升级你的IE浏览器。</p><p>推荐升级至IE9或者试试火狐浏览器和谷歌浏览器,如果你对IE是真爱......那么请关闭本站吧。</p></div>
</div>
<div id="ie6-overlay"></div>
<style type="text/css">
#ie6-alertBox{width: 600px;margin-top: 160px;margin-right: auto;margin-bottom: 0px;margin-left: auto;padding: 20px;border: 1px solid #CCCCCC;text-align: center;font-family: "Microsoft YaHei", Verdana, sans-serif; line-height: 30px;} #ie6-infoBar h1{font-size: 22px;color: #ff0000;line-height: 60px;}
</style>
';
exit;//全面停止支持
}
{/php}

将这段代码放置到你正在使用主题的header.php里面,放在<body>下就可以了。提示文字和css风格可以自定义。

然后出来的效果就是这样的:

拒绝IE 从我做起 zblogphp拒绝ie9以下浏览器访问的代码 浏览器兼容 自适应 拒绝IE浏览器 zblogphp教程 第1张

没有找到解决你问题的教程?

您可以试着搜索一下或者直接在线提问。我们也提供收费技术支持,有需要可以在线联系我们。

在线提问 在线客服

8 位网友评论:

  • 无本创客

    无本创客 11个月前 (08-20) 回复

    大佬写得好,支持下,确实IE多年不用了,很难使

  • 蓝色海豚

    蓝色海豚 5年前 (2015-04-13) 回复

    呵呵,这个问题也需要适当辩证地来看
    我用的是天兴模板,反正IE6肯定是不管了,IE7/8有时候还是需要照顾的,毕竟现在大多数安装的都是Windows系统,不管你用还是不用,IE就在哪里,赶都赶不走,呵呵
    尤其是在单位,OA什么系统,插件都是按IE来开发的

    • 天兴工作室

      天兴工作室 5年前 (2015-04-13) 回复

      对 要看情况,注重用户体验的就不能像我这么任性了,在某些情况下兼容IE6都是有必要的。

  • 烽烟无限

    烽烟无限 5年前 (2015-04-03) 回复

    从来没搞过支持过ie9以下的,这也是为了促进低版本用户升级吗。。。

    • 天兴工作室

      天兴工作室 5年前 (2015-04-03) 回复

      从来没搞过么.....好吧,我之前的目标一直是嫩兼容到IE6.....

取消回复欢迎 发表评论:

  • 请填写验证码
  • 最新文章
  • 热文排行
  • 最多评论
标签聚合
×59zblog模板×35zblog×28zblogphp×20zblogphp模板×20天兴工作室×19阿里云×14zblog插件×14zblog错误×12dedecms×12zblog企业模板×11电子券×11ytcms×11zblog安装×10天兴互联×9随意打×9模板×9zblogphp1.5×8天兴通讯×8刷机×8企业模板

请登录

社交账号登录

将本文分享给你的朋友们